"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.build = void 0;
exports.getArg = getArg;
exports.startOnline = exports.start = exports.pluginDev = exports.plugin = exports.isVue = void 0;
var _fs = _interopRequireDefault(require("fs"));
var cwd = process.cwd();
var appConfigPath = cwd + "/app.config.js";
var config = {};
if (_fs["default"].existsSync(appConfigPath)) {
  config = require(appConfigPath);
}
function getArg(key) {
  var val = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
  var index = process.argv.indexOf(key);
  if (process.argv[index] && process.argv[index].indexOf("=") > 0) {
    return process.argv[index].split('=')[1];
  }
  var next = process.argv[index + 1];
  return index < 0 ? null : !next || next[0] === "-" ? val : next;
}
var start = exports.start = getArg("start") || getArg("--start");
var build = exports.build = getArg("build") || getArg("--build");
var plugin = exports.plugin = getArg("plugin") || getArg("--plugin");
var isVue = exports.isVue = getArg("isVue") || getArg("--isVue");
var startOnline = exports.startOnline = getArg("startOnline") || getArg("--start-online") || getArg("--startOnline");
var pluginDev = exports.pluginDev = getArg("pluginDev") || getArg("--plugin-dev") || getArg("--pluginDev");